net.i2p.router

## Class StatisticsManager

- java.lang.Object
- - net.i2p.router.StatisticsManager

-     public class StatisticsManager
      extends Object

  Collects and publishes router performance statistics to the network database. Provides bandwidth, tunnel, and peer metrics for router capability advertising.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROP_PUBLISH_RANKINGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatisticsManager(RouterContext context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Properties` | `publishStatistics()` Retrieve a snapshot of the statistics that should be published.
    `Properties` | `publishStatistics(Hash h)` Retrieve a snapshot of the statistics that should be published.
    `void` | `renderStatusHTML(Writer out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROP_PUBLISH_RANKINGS

          public static final String PROP_PUBLISH_RANKINGS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StatisticsManager

          public StatisticsManager(RouterContext context)

  - ### Method Detail

    - #### publishStatistics

          public Properties publishStatistics()

      Retrieve a snapshot of the statistics that should be published. This includes all standard options (as of 0.9.24, network ID and caps)

    - #### publishStatistics

          public Properties publishStatistics(Hash h)

      Retrieve a snapshot of the statistics that should be published. This includes all standard options (as of 0.9.24, network ID and caps)
      Parameters:
        `h` - current router hash, non-null

    - #### renderStatusHTML

          public void renderStatusHTML(Writer out)